# $Revision: 1.4 $, $Date: 2002/07/12 23:56:17 $
%include	/usr/lib/rpm/macros.php
%define         _class          Net
%define         _subclass       IRC
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - IRC Client Class
Summary(pl):	%{_class}_%{_subclass} - Klasa klienta IRC
Name:		php-pear-%{_pearname}
Version:	0.0.3
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Experimental IRC Class suitable for both client or bots applications.
Features are:
 - Non-blocking sockets
 - Server messages handled by a callback system
 - Full logging capabilities
 - Full statistic collector
 - API Doc and Usage Manual

%description -l pl
Eksperymentalna klasa IRC pasujca zarwno do aplikacji klienckich,
jak i botw. Zalety:
 - Nie-blokujcy socket
 - Wiadomoci serwera obsugiwane przez systemowy callback
 - Pene wsparcie dla logowania
 - Pene statystyki
 - Udokumentowane API oraz podrcznik

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{doc/*,examples/*,tests/*}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Net_IRC.spec,v $
Revision 1.4  2002/07/12 23:56:17  blues
- release 3 (rebuild with new rpm)

Revision 1.3  2002/07/12 11:24:17  blues
- removed not neccessary provides

Revision 1.2  2002/07/08 00:44:39  blues
- new one provides

Revision 1.1  2002/07/04 22:54:33  blues
- initial release

